Tool Name: h5repack
Syntax:
  `h5repack` `[-h]` `[-v]` `[-m` number`]` `[-n]` `[-f '`filter`']` `[-l '`layout`']` `[-e` file`]` in_file out_file
Purpose:
  Copies an HDF5 file to a new file with or without compression/chunking.
Description:
  `h5repack` is a command line tool that applies HDF5 filters to an input file in_file, saving the output in a new output file, out_file.

Options and Parameters:
  `-h`
    Help message
  `-v`
    Verbose output mode
  `-m` number
    Do not apply the filter to objects which size in bytes is smaller than number. If no size is specified a minimum of 1024 bytes is assumed.
  `-n`
    Use native HDF5 datatypes when repacking.
    (Default behavior is to use original file datatypes.)
    Note that this is a change in default behavior; prior to Release 1.6.6, `h5repack` generated files only with native datatypes.
  `-f` filter
    Filter type

    filter is a string with the following format: <list of objects> : <name of filter> = <filter parameters>

    <list of objects> is a comma separated list of object names meaning apply compression only to those objects. If no object names are specified, the filter is applied to all objects.

    <name of filter> can be one of the following:
    `GZIP`, to apply the HDF5 GZIP filter (GZIP compression)
    `SZIP`, to apply the HDF5 SZIP filter (SZIP compression)
    `SHUF`, to apply the HDF5 shuffle filter
    `FLET`, to apply the HDF5 checksum filter
    `NONE`, to remove the filter

    <filter parameters> conveys optional compression information:
    `SHUF` (no parameter)
    `FLET` (no parameter)
    `GZIP=`<deflation level> from 1-9
    `SZIP=`<pixels per block,coding>
    Pixels per block is a even number in the range 2-32.
    Coding method is `EC` or `NN`.

  `-l` layout
    Layout type

    layout is a string with the following format:
    <list of objects> : <layout type>=<layout parameters>

    <list of objects> is a comma separated list of object names, meaning that layout information is supplied for those objects. If no object names are specified, the layout is applied to all objects.

    <layout type> can be one of the following:
    `CHUNK`, to apply chunking layout
    `COMPA`, to apply compact layout
    `CONTI`, to apply continuous layout

    <layout parameters> is present only in the `CHUNK` case and specifies the chunk size of each dimension in the following format with no intervening spaces:
    `dim_1 × dim_2 × ... dim_n`

  `-e` file
    File containing the -f and -l options (only filter and layout flags)
  in_file
    Input HDF5 file
  out_file
    Output HDF5 file

Examples:
  1. `h5repack -f GZIP=1 -v file1 file2`
     Applies GZIP compression to all objects in `file1` and saves the output in `file2`. Prints verbose output.
  2. `h5repack -f dset1:SZIP=8,NN file1 file2`
     Applies SZIP compression only to object `dset1`.
  3. `h5repack -l dset1,dset2:CHUNK=20x10 file1 file2`
     Applies chunked layout to objects `dset1` and `dset2`.